# Drupal Composer check

This Drush plugin provides a `composer-check` (alias `cc`) command, which 
compares the packages versions in `composer.lock` with those requested in the
`composer.json` file of a Drupal 8 project.


## Syntax

* Arguments:
  * `composer.lock`: Optional. The path to the lock file. Defaults to the one in 
    Drupal root.
* Options:
  * `--all`: List all locked packages, even those not requested
  * `--yaml`: Produce YAML output instead of a table
* Aliases: `cc`


# Examples

* Default usage in a `drupal/drupal` project:

      drush cc

* Listing all packages in a `drupal-composer/drupal-project` project, in YAML format:

      drush cc --all --yaml $PWD/composer.lock
